package com.bjsxt.pojo;

/**
 * 使用 ForEach 迭代 List
 * 需求： 创建 Users 对象，含有 userid，username 属性。
 * 创建一个 Servlet，在 Servlet 中创建多个 Users 对象并放到 List 集合中，
 * 在 showUsers.jsp 的页面中显示所有的 Users 对象的信息。
 */
public class User {
    private int userid;
    private String username;

    public User() {
    }

    public User(int userid, String username) {
        this.userid = userid;
        this.username = username;
    }

    public int getUserid() {
        return userid;
    }

    public void setUserid(int userid) {
        this.userid = userid;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }
}
