package com.bjsxt.dao.impl;

import com.bjsxt.commons.JdbcUtils;
import com.bjsxt.dao.UserLoginDao;
import com.bjsxt.pojo.Users;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;

public class UserLoginDaoImpl implements UserLoginDao {
    /**
     * 用户登录的数据库查询
     * @param username
     * @param userpwd
     * @return
     */
    @Override
    public Users selectUsersByUserNameAndUserPwd(String username, String userpwd) {
        Connection conn = null;
        PreparedStatement ps = null;
        ResultSet rs = null;
        Users user = null;
        try{
            conn = JdbcUtils.getConnection();
            ps = conn.prepareStatement("select * from user where username = ? and userpwd = ?");
            ps.setString(1,username);
            ps.setString(2,userpwd);
            rs = ps.executeQuery();
            while (rs.next()){
                user=new Users();
                user.setUsername(rs.getString("username"));
                user.setUserid(rs.getInt("userid"));
                user.setPhonenumber(rs.getString("phonenumber"));
                user.setQqnumber(rs.getString("qqnumber"));
                user.setUserpwd(rs.getString("userpwd"));
                user.setUsersex(rs.getString("usersex"));
            }
        }catch (Exception e){
            e.printStackTrace();
        }finally {
            JdbcUtils.closeConnection(conn,ps,rs);
        }
        return user;
    }
}
