package com.bjsxt.servlet;

import com.bjsxt.Common.JsonUtils;
import com.bjsxt.pojo.User;
import com.fasterxml.jackson.databind.ObjectMapper;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Date;

/**
 * Jackson 的常用注解
 * (1)@JsonProperty
 * (2)@JsonIgnore
 * (3)@JsonFormat
 */
@WebServlet("/annto.do")
public class AnnotationServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        doPost(req, resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        User user = new User();
        user.setUserid(1);
        user.setUsername("name");
        user.setDate(new Date());
       /* ObjectMapper objectMapper = new ObjectMapper();
        String s = objectMapper.writeValueAsString(user);*/
        String s = JsonUtils.objectToJson(user);
        System.out.println(s);
        resp.setContentType("application/json");
        PrintWriter pw = resp.getWriter();
        pw.print("ok");
        pw.flush();
        pw.close();
    }
}
