package com.bjsxt.servlet;

/**
 * 使用 ForEach 迭代 List
 * 需求： 创建 Users 对象，含有 userid，username 属性。
 * 创建一个 Servlet，在 Servlet 中创建多个 Users 对象并放到 List 集合中，
 * 在 showUsers.jsp 的页面中显示所有的 Users 对象的信息。
 */

import com.bjsxt.pojo.User;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
@WebServlet("/find.do")
public class FindUser extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        doPost(req, resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        List<User> list = new ArrayList<>();
        User user1 = new User(1,"lisen");
        User user2 = new User(2,"sen");
        list.add(user1);
        list.add(user2);
        req.setAttribute("list",list);
        req.getRequestDispatcher("ShownUser.jsp").forward(req,resp);
    }
}
